#ifndef _3D_H_
#define _3D_H_

#ifdef USE_GLIDE
#include <glide.h>

typedef struct
{
    bool8	voodoo_present;
    GrVertex	sq[4];
    GrTexInfo	texture;
    int32	texture_mem_size;
    int32	texture_mem_start;
    float	x_offset, y_offset;
    float	x_scale, y_scale;
    float	voodoo_width;
    float	voodoo_height;
} GlideData;

extern GlideData Glide;
#endif

#endif
